Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#24842 - [perl-io-tty] needs rebuild

Attached to Project: Community Packages
Opened by Bernhard Walle (bwalle) - Thursday, 23 June 2011, 17:26 GMT
Last edited by Jelle van der Waa (jelly) - Thursday, 30 June 2011, 08:20 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Sergej Pupykin (sergej)
Architecture All
Severity Critical
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

bwalle@kopernikus % perl -MIO::Pty -e ''
perl: symbol lookup error: /usr/lib/perl5/vendor_perl/auto/IO/Tty/Tty.so: undefined symbol: Perl_Gthr_key_ptr

After rebuilding the package from ABS, no problems.
This task depends upon

Closed by  Jelle van der Waa (jelly)
Thursday, 30 June 2011, 08:20 GMT
Reason for closing:  Not a bug
Additional comments about closing:  Update perl and it will work
Comment by Ionut Biru (wonder) - Thursday, 23 June 2011, 17:39 GMT
i guess you don't have community-testing enabled? i cannot tell since you didn't say what version of package do you have.
Comment by Jelle van der Waa (jelly) - Friday, 24 June 2011, 07:38 GMT
Please post your version of perl and perl-io-tty
Comment by Scott G (axanon) - Wednesday, 29 June 2011, 22:11 GMT
perl 5.12.3-1
perl-io-tty-1.08-4

getting errors:
/usr/bin/perl: symbol lookup error: /usr/lib/perl5/vendor_perl/auto/IO/Tty/Tty.so: undefined symbol: Perl_xs_apiversion_bootcheck

rebuilding with abs also fixed it here too
Comment by Jelle van der Waa (jelly) - Thursday, 30 June 2011, 08:19 GMT
Strange, it works here with the attached .pl file
[jelle@P8][~]%pacman -Q perl perl-io-tty
perl 5.14.1-1
perl-io-tty 1.08-4
   test.pl (0.2 KiB)

Loading...